Subject: Papaver-ISO oriental cultivar with drooping buds

From: [email-masked] (MMattus)
Date: 17 May 1995 02:10:58 -0400

I'm looking for a Papaver which I suspect is an heirloom cultivar. It
appears to be similar to the common perennial Oriental Hybrid poppy but it
has a flower bud which droops over, The blooms are very
similar-orange/red, to the oriental cultivars.  It may be a biennial
however. If anyone could identify, obtain root cuttings or otherwise,
please let me know. Can trade Clivia nobilis, or my own hybrid
hemerocallis.

Also if anyone has had luck growing P.Somniferum. let me know. Im in New
England-Zone 5m and Ive finally got a successful bed of seedlings
and we'll see where that gets me.

Matt.